Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 2743843002: Implements ChineseScriptClassifier functionality without icu::Transliterator (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 2 weeks ago by riesa
Modified:
3 months, 1 week ago
CC:
chromium-reviews, Anton Bakalov
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Implements ChineseScriptClassifier functionality without icu::Transliterator BUG=684609, 699737 Review-Url: https://codereview.chromium.org/2743843002 Cr-Commit-Position: refs/heads/master@{#456243} Committed: https://chromium.googlesource.com/chromium/src/+/062df28033e325db34be74c68da1f2bec888229d

Patch Set 1 #

Patch Set 2 : Adds note on origin of codepoints used by this class #

Patch Set 3 : Removes references to unused translit.h #

Total comments: 2

Messages

Total messages: 19 (12 generated)
riesa
Here is a new implementation of ChineseScriptClassifier without the icu::Transliterator. The class is now actually ...
3 months, 2 weeks ago (2017-03-10 02:24:22 UTC) #5
groby1
Love it! https://codereview.chromium.org/2743843002/diff/40001/components/translate/core/language_detection/chinese_script_classifier.cc File components/translate/core/language_detection/chinese_script_classifier.cc (right): https://codereview.chromium.org/2743843002/diff/40001/components/translate/core/language_detection/chinese_script_classifier.cc#newcode30 components/translate/core/language_detection/chinese_script_classifier.cc:30: const std::string& hans_codepoints = Maybe I'm weird ...
3 months, 2 weeks ago (2017-03-10 19:27:17 UTC) #9
riesa
https://codereview.chromium.org/2743843002/diff/40001/components/translate/core/language_detection/chinese_script_classifier.cc File components/translate/core/language_detection/chinese_script_classifier.cc (right): https://codereview.chromium.org/2743843002/diff/40001/components/translate/core/language_detection/chinese_script_classifier.cc#newcode30 components/translate/core/language_detection/chinese_script_classifier.cc:30: const std::string& hans_codepoints = On 2017/03/10 19:27:17, groby1 wrote: ...
3 months, 2 weeks ago (2017-03-10 19:32:01 UTC) #10
groby
This might be a longer process - let me LGTM this first, so we get ...
3 months, 2 weeks ago (2017-03-11 00:21:50 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2743843002/40001
3 months, 2 weeks ago (2017-03-11 00:35:02 UTC) #14
commit-bot: I haz the power
Committed patchset #3 (id:40001) as https://chromium.googlesource.com/chromium/src/+/062df28033e325db34be74c68da1f2bec888229d
3 months, 2 weeks ago (2017-03-11 01:13:59 UTC) #17
hjd
3 months, 1 week ago (2017-03-13 09:52:09 UTC) #18
Message was sent while issue was closed.
On 2017/03/11 01:13:59, commit-bot: I haz the power wrote:
> Committed patchset #3 (id:40001) as
>
https://chromium.googlesource.com/chromium/src/+/062df28033e325db34be74c68da1...

FYI - this added 16.0KiB to Chrome on Android. No action is required (unless you
can think of an obvious way to reduce the overhead).

Link to size graph:
https://chromeperf.appspot.com/report?sid=a1a758ce61ac3a6d21c8ca8f5ea0a043a2a...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318